Skip to main content
GET
/
v1
/
companies
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
  "https://api.particle.pro/v1/companies?limit=25"
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "identifiers": {
        "cik": "<string>",
        "domain": "<string>",
        "entity": {
          "id": "<string>",
          "name": "<string>",
          "slug": "<string>",
          "company": {
            "id": "<string>",
            "domain": "<string>",
            "ticker": "<string>"
          },
          "description": "<string>",
          "person": {
            "id": "<string>",
            "company": "<string>",
            "image_url": "<string>",
            "title": "<string>"
          },
          "type": {
            "name": "<string>",
            "slug": "<string>"
          },
          "wikipedia_url": "<string>"
        },
        "qid": "<string>",
        "ticker": "<string>"
      },
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "cursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Query Parameters

limit
integer<int64>
default:25

Results per page

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from previous response

q
string

Search by name (case-insensitive partial match)

Maximum string length: 200
Example:

"Apple"

updated_after
string

Only items updated after this ISO 8601 date or date-time (e.g. 2024-01-01 or 2024-01-01T00:00:00Z). Useful for incremental syncing.

Example:

"2024-01-01T00:00:00Z"

ids
string[] | null

Bulk multi-get: one or more company slugs (e.g. 'apple'), domains (e.g. 'apple.com'), or IDs, comma-separated (max 100) — the same identifiers GET /v1/companies/{id} accepts. When set, returns exactly those companies and the other filters/search and pagination are ignored. Refs that don't resolve are omitted from the response.

Maximum array length: 100
Example:
["apple", "tesla.com", "nvidia"]
ticker
string[] | null

Filter by stock ticker symbol(s), comma-separated

Maximum array length: 100
Example:
["AAPL", "GOOG"]
domain
string[] | null

Filter by company domain(s), comma-separated

Maximum array length: 100
Example:
["apple.com"]
cik
string[] | null

Filter by SEC CIK(s), comma-separated

Maximum array length: 100
Example:
["0000320193"]
qid
string[] | null

Filter by Wikidata QID(s), comma-separated

Maximum array length: 100
Example:
["Q312"]
entity_id
string[] | null

Entity slug(s) (e.g., 'apple', 'nvidia') or ID(s), comma-separated

Maximum array length: 100

Response

OK

data
object[] | null
required

List of results

has_more
boolean
required

Whether more results exist

cursor
string

Pass to next request for more results